Bug 143979 - [PATCH] ports-mgmt/portupgrade should not install build dependencies when only using packages
Summary: [PATCH] ports-mgmt/portupgrade should not install build dependencies when onl...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ruby (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-16 01:50 UTC by Bryan Drewery
Modified: 2010-11-08 04:40 UTC (History)
0 users

See Also:


Attachments
file.diff (504 bytes, patch)
2010-02-16 01:50 UTC, Bryan Drewery
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bryan Drewery 2010-02-16 01:50:01 UTC
When using -PP and only using packages, there's no need to install BUILD_DEPS, EXTRACT_DEPS, PATCH_DEPS or FETCH_DEPS as the package has already been built.

Fix: Patch attached.

Patch attached with submission follows:
How-To-Repeat: pkg_delete -r '*'
portinstall -PP someport
This will needlessly install stuff like gmake, automake, gsed, etc.
Comment 1 Philip M. Gollucci 2010-02-16 03:31:31 UTC
nice!

Bryan Drewery wrote:
>> Number:         143979
>> Category:       ports
>> Synopsis:       [PATCH] Portupgrade should not install build dependencies when only using packages
>> Confidential:   no
>> Severity:       non-critical
>> Priority:       low
>> Responsible:    freebsd-ports-bugs
>> State:          open
>> Quarter:        
>> Keywords:       
>> Date-Required:
>> Class:          sw-bug
>> Submitter-Id:   current-users
>> Arrival-Date:   Tue Feb 16 01:50:01 UTC 2010
>> Closed-Date:
>> Last-Modified:
>> Originator:     Bryan Drewery
>> Release:        7.2
>> Organization:
>> Environment:
>> Description:
> When using -PP and only using packages, there's no need to install BUILD_DEPS, EXTRACT_DEPS, PATCH_DEPS or FETCH_DEPS as the package has already been built.
>> How-To-Repeat:
> pkg_delete -r '*'
> portinstall -PP someport
> This will needlessly install stuff like gmake, automake, gsed, etc.
>> Fix:
> Patch attached.
> 
> > 
> --- bin/portupgrade.orig	2010-02-15 19:14:22.000000000 -0600
> +++ bin/portupgrade	2010-02-15 19:19:25.000000000 -0600
> @@ -828,8 +828,12 @@ end
>  # Returns:
>  #      Set: all recursive depends list
>  def get_all_depends(origin, parents_list = nil)
> +  if $use_packages_only
> +    depends_vars = %w{LIB_DEPENDS RUN_DEPENDS}
> +  else
>    depends_vars = %w{FETCH_DEPENDS EXTRACT_DEPENDS PATCH_DEPENDS
>  		      BUILD_DEPENDS LIB_DEPENDS RUN_DEPENDS}
> +  end
>  
>    unless $depends.has_key?(origin)
>      depends = Set.new
> 
> 
>> Release-Note:
>> Audit-Trail:
>> Unformatted:
> _______________________________________________
> freebsd-ports-bugs@freebsd.org mailing list
> http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
> To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"


-- 
------------------------------------------------------------------------
1024D/DB9B8C1C B90B FBC3 A3A1 C71A 8E70  3F8C 75B8 8FFB DB9B 8C1C
Philip M. Gollucci (pgollucci@p6m7g8.com) c: 703.336.9354
VP Apache Infrastructure; Member, Apache Software Foundation
Committer,                        FreeBSD Foundation
Consultant,                       P6M7G8 Inc.
Sr. System Admin,                 Ridecharge Inc.

Work like you don't need the money,
love like you'll never get hurt,
and dance like nobody's watching.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2010-02-16 06:27:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ruby

Fix synopsis and assign.
Comment 3 dfilter service freebsd_committer 2010-03-12 09:06:53 UTC
nork        2010-03-12 09:06:45 UTC

  FreeBSD ports repository

  Modified files:
    ports-mgmt/portupgrade Makefile 
    ports-mgmt/portupgrade/files patch-bin-portupgrade 
  Log:
  Don't install and/or build dependencies when only using packages.
  
  PR:             ports/143979
  Submitted by:   Bryan Drewery  bryan at shatow net
  Reviewed by:    Yusuke Hoshizuki  hoshizuki at chaos cs tsukuba ac jp
  
  Revision  Changes    Path
  1.258     +1 -1      ports/ports-mgmt/portupgrade/Makefile
  1.16      +15 -2     ports/ports-mgmt/portupgrade/files/patch-bin-portupgrade
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Norikatsu Shigemura freebsd_committer 2010-03-12 09:06:54 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 5 dfilter service freebsd_committer 2010-11-08 04:37:30 UTC
stas        2010-11-08 04:37:25 UTC

  FreeBSD projects repository

  Modified files:
    pkgtools/bin         portupgrade 
  Log:
  - Don't install and/or build dependencies when only using packages.
  
  PR:             ports/143979
  Submitted by:   Bryan Drewery  bryan at shatow net
  Reviewed by:    Yusuke Hoshizuki  hoshizuki at chaos cs tsukuba ac jp
  
  Revision  Changes    Path
  1.68      +6 -0      projects/pkgtools/bin/portupgrade
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"